package com.weavi.ahh_v2.domain;

import jdk.nashorn.internal.ir.annotations.Ignore;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @auther jiangzuole
 * @date 2019-05-27
 * @time 14:05
 */
@Data
@Entity
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "user")
public class UserInfo {

    @Id
    @Column(name = "id")
    private Integer id;

    @Column(name = "user_id")
    private Integer userId;

    @Column(name = "username")
    private String userName;

    @Column(name = "nickname")
    private String nickName;

    @Ignore
    @Column(name = "password")
    private String passWord;

    @Column(name = "avatar")
    private String avatar;

    @Column(name = "gender")
    private Integer gender;

    @Column(name = "phone")
    private Integer phone;

    @Column(name = "email")
    private String email;

    @Column(name = "status")
    private Integer status;

    @Ignore
    @Column(name = "agree_eula")
    private Integer agree_eula;

    @Column(name = "score")
    private Integer score;

    @Ignore
    @Column(name = "sign_address")
    private String signAddress;

    @Ignore
    @Column(name = "simulated")
    private Integer simulated;

    @Ignore
    @Column(name = "deleted")
    private Integer deleted;

    @Column(name = "create_time")
    private Date create_time;

    @Column(name = "update_time")
    private Date update_time;

}
