package com.weavi.ahh_v2.repository;

import com.weavi.ahh_v2.domain.UserInfo;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @auther jiangzuole
 * @date 2019-05-27
 * @time 14:37
 */
public interface UserRepository extends JpaRepository<UserInfo,Integer> {

    UserInfo findByUserName(String userName);

    UserInfo findByNickName(String nickName);

    UserInfo findByPhoneAndSignAddress(Integer phone,String signAddress);

    UserInfo findByNickNameAndSignAddress(String nickName,String signAddress);

    UserInfo findByIdAndDeleted(Integer id,Integer deleted);

    List<UserInfo> findBySignAddress(String signAddress);
}
